Munin::Node::Server(3)

NAME
Munin::Node::Server - This module implements a Net::Server server for the munin node.

SYNOPSIS
 use Munin::Node::Server;
 Munin::Node::Server->run(...);

For arguments to run(), see Net::Server.

METHODS

  NET::SERVER "CALLBACKS"

pre_loop_hook
    Loads all the plugins (services).

request_denied_hook
    Logs the source of rejected connections.

process_request
    Processes the request.